Subject: Re: Cannot load wireguard module

From: Michael Ellerman <[email-masked]>
Date: Mon, 18 Mar 2024 22:50:49 +1100

Michael Ellerman <[email-masked]> writes:
> Michal Suchánek <[email-masked]> writes:
>> Hello,
>>
>> I cannot load the wireguard module.
>>
>> Loading the module provides no diagnostic other than 'No such device'.
>>
>> Please provide maningful diagnostics for loading software-only driver,
>> clearly there is no particular device needed.
>
> Presumably it's just bubbling up an -ENODEV from somewhere.
>
> Can you get a trace of it?
>
> Something like:
>
>   # trace-cmd record -p function_graph -F modprobe wireguard
>
> That should probably show where it's bailing out.
>
>> jostaberry-1:~ # uname -a
>> Linux jostaberry-1 6.8.0-lp155.8.g7e0e887-default #1 SMP Wed Mar 13 09:02:21 UTC 2024 (7e0e887) ppc64le ppc64le ppc64le GNU/Linux
>> jostaberry-1:~ # modprobe wireguard
>> modprobe: ERROR: could not insert 'wireguard': No such device
>> jostaberry-1:~ # modprobe -v wireguard
>> insmod /lib/modules/6.8.0-lp155.8.g7e0e887-default/kernel/arch/powerpc/crypto/chacha-p10-crypto.ko.zst 
>> modprobe: ERROR: could not insert 'wireguard': No such device
>  
> What machine is this? A Power10?

I am able to load the module successfully on a P10 running v6.8.0.

I tried running the demo (client-quick.sh) to check it actually works,
but that hangs sending the public key, I suspect because my development
machine is behind multiple firewalls.

cheers